#ifndef MAIN_HPP
#define MAIN_HPP

#include <GL/glfw.h>
#include <FTGLTextureFont.h>
#include <string>
#include <sstream>

extern FTGLTextureFont font;
extern bool exitGame;
extern bool helpScreen;
extern bool beatenGame;
extern int curlev;
extern int camera;

using namespace std;

template<class T> string toStr(const T& t)
{
	ostringstream ss;
	ss << t;
	return ss.str();
}

void print(FTGLTextureFont& fnt, float x, float y, const string& str, bool shadow = false, bool center = false);
void drawBar(int x1, int x2, int x3, int x4, int y1, int h);
void startLevel(int nr);
void playSfx(const string& snd);

#endif
